2021-06-29 08:54:05 +01:00
---
2026-02-11 16:35:03 +01:00
openapi : 3.1 .2
2022-05-06 15:28:30 +02:00
2021-06-29 08:54:05 +01:00
info :
description : |-
You're looking at the current **stable** documentation of the OpenProject APIv3. If you're interested in the current
2021-07-12 16:18:56 +02:00
development version, please go to [github.com/opf](https://github.com/opf/openproject/tree/dev/docs/api/apiv3).
2021-06-29 08:54:05 +01:00
## Introduction
2025-03-14 12:19:58 +01:00
The documentation for the APIv3 is written according to the [OpenAPI 3.1 Specification](https://swagger.io/specification/).
2022-07-07 12:04:02 +02:00
You can either view the static version of this documentation on the [website](https://www.openproject.org/docs/api/introduction/)
2023-06-08 15:26:39 +02:00
or the interactive version, rendered with [OpenAPI Explorer](https://github.com/Rhosys/openapi-explorer/blob/main/README.md),
in your OpenProject installation under `/api/docs`.
2021-12-10 13:51:43 +00:00
In the latter you can try out the various API endpoints directly interacting with our OpenProject data.
Moreover you can access the specification source itself under `/api/v3/spec.json` and `/api/v3/spec.yml`
(e.g. [here](https://community.openproject.org/api/v3/spec.yml)).
2021-06-29 08:54:05 +01:00
The APIv3 is a hypermedia REST API, a shorthand for "Hypermedia As The Engine Of Application State" (HATEOAS).
This means that each endpoint of this API will have links to other resources or actions defined in the resulting body.
These related resources and actions for any given resource will be context sensitive. For example, only actions that the
authenticated user can take are being rendered. This can be used to dynamically identify actions that the user might take for any
given response.
2021-07-12 16:18:56 +02:00
As an example, if you fetch a work package through the [Work Package endpoint](https://www.openproject.org/docs/api/endpoints/work-packages/), the `update` link will only
2021-06-29 08:54:05 +01:00
be present when the user you authenticated has been granted a permission to update the work package in the assigned project.
## HAL+JSON
HAL is a simple format that gives a consistent and easy way to hyperlink between resources in your API.
2021-07-12 16:18:56 +02:00
Read more in the following specification: [https://tools.ietf.org/html/draft-kelly-json-hal-08](https://tools.ietf.org/html/draft-kelly-json-hal-08)
2021-06-29 08:54:05 +01:00
**OpenProject API implementation of HAL+JSON format** enriches JSON and introduces a few meta properties:
- `_type` - specifies the type of the resource (e.g.: WorkPackage, Project)
2021-07-12 16:18:56 +02:00
- `_links` - contains all related resource and action links available for the resource
- `_embedded` - contains all embedded objects
2021-06-29 08:54:05 +01:00
HAL does not guarantee that embedded resources are embedded in their full representation, they might as well be
partially represented (e.g. some properties can be left out).
However in this API you have the guarantee that whenever a resource is **embedded**, it is embedded in its **full representation**.
## API response structure
All API responses contain a single HAL+JSON object, even collections of objects are technically represented by
a single HAL+JSON object that itself contains its members. More details on collections can be found
2023-03-09 10:22:46 +01:00
in the [Collections Section](https://www.openproject.org/docs/api/collections/).
2021-06-29 08:54:05 +01:00
2021-07-12 16:18:56 +02:00
## Authentication
2021-06-29 08:54:05 +01:00
2026-01-30 10:17:25 +01:00
The API supports the following authentication schemes:
* Session-based authentication
* API tokens
* passed as Bearer token
* passed via Basic auth
* OAuth 2.0
* using built-in authorization server
* using an external authorization server (RFC 9068)
2021-06-29 08:54:05 +01:00
Depending on the settings of the OpenProject instance many resources can be accessed without being authenticated.
In case the instance requires authentication on all requests the client will receive an **HTTP 401** status code
in response to any request.
Otherwise unauthenticated clients have all the permissions of the anonymous user.
2026-01-30 10:17:25 +01:00
### Session-based authentication
2021-06-29 08:54:05 +01:00
This means you have to login to OpenProject via the Web-Interface to be authenticated in the API.
This method is well-suited for clients acting within the browser, like the Angular-Client built into OpenProject.
2026-03-31 16:53:55 +02:00
Keep in mind that session-based authentication is only possible when accessing the API from the same origin. This
is assured by checking the `Sec-Fetch-Site` HTTP header.
2021-06-29 08:54:05 +01:00
2026-01-30 10:17:25 +01:00
### API token as bearer token
Users can authenticate towards the API v3 using an API token as a bearer token.
For example:
```shell
API_KEY=opapi-2519132cdf62dcf5a66fd96394672079f9e9cad1
curl -H "Authorization: Bearer $API_KEY" https://community.openproject.org/api/v3/users/42
```
Users can generate API tokens on their account page.
### API token through Basic Auth
2021-06-29 08:54:05 +01:00
2026-01-30 10:17:25 +01:00
API tokens can also be used with basic auth, using the user name `apikey` (NOT your login) and the API token as the password.
2021-06-29 08:54:05 +01:00
2026-01-30 10:17:25 +01:00
For example:
2021-06-29 08:54:05 +01:00
2023-08-23 14:53:53 +02:00
```shell
2026-01-30 10:17:25 +01:00
API_KEY=opapi-2519132cdf62dcf5a66fd96394672079f9e9cad1
2024-01-18 18:07:04 +01:00
curl -u apikey:$API_KEY https://community.openproject.org/api/v3/users/42
2021-06-29 08:54:05 +01:00
```
2026-01-30 10:17:25 +01:00
### OAuth 2.0 authentication
2021-06-29 08:54:05 +01:00
OpenProject allows authentication and authorization with OAuth2 with *Authorization code flow*, as well as *Client credentials* operation modes.
To get started, you first need to register an application in the OpenProject OAuth administration section of your installation.
This will save an entry for your application with a client unique identifier (`client_id`) and an accompanying secret key (`client_secret`).
You can then use one the following guides to perform the supported OAuth 2.0 flows:
- [Authorization code flow](https://oauth.net/2/grant-types/authorization-code)
2022-05-06 15:28:30 +02:00
2024-07-25 14:11:01 +02:00
- [Authorization code flow with PKCE](https://doorkeeper.gitbook.io/guides/ruby-on-rails/pkce-flow), recommended for clients unable to keep the client_secret confidential
2021-06-29 08:54:05 +01:00
- [Client credentials](https://oauth.net/2/grant-types/client-credentials/) - Requires an application to be bound to an impersonating user for non-public access
2026-01-30 10:17:25 +01:00
### OAuth 2.0 using an external authorization server
2024-07-25 14:11:01 +02:00
2025-05-07 14:02:57 +02:00
There is a possibility to use JSON Web Tokens (JWT) generated by an OIDC provider configured in OpenProject as a bearer token to do authenticated requests against the API.
2024-07-25 14:11:01 +02:00
The following requirements must be met:
2025-05-07 14:02:57 +02:00
2024-07-25 14:11:01 +02:00
- OIDC provider must be configured in OpenProject with **jwks_uri**
- JWT must be signed using RSA algorithm
- JWT **iss** claim must be equal to OIDC provider **issuer**
2025-05-07 14:02:57 +02:00
- JWT **aud** claim must contain the OpenProject **client ID** used at the OIDC provider
- JWT **scope** claim must include a valid scope to access the desired API (e.g. `api_v3` for APIv3)
2024-07-25 14:11:01 +02:00
- JWT must be actual (neither expired or too early to be used)
- JWT must be passed in Authorization header like: `Authorization: Bearer {jwt}`
2026-01-30 10:17:25 +01:00
- User from **sub** claim must be linked to OpenProject before (e.g. by logging in), otherwise it will be not authenticated
2024-07-25 14:11:01 +02:00
2025-05-07 14:02:57 +02:00
In more general terms, OpenProject should be compliant to [RFC 9068](https://www.rfc-editor.org/rfc/rfc9068) when validating access tokens.
2021-07-12 16:18:56 +02:00
### Why not username and password?
2021-06-29 08:54:05 +01:00
The simplest way to do basic auth would be to use a user's username and password naturally.
However, OpenProject already has supported API keys in the past for the API v2, though not through basic auth.
Using **username and password** directly would have some advantages:
* It is intuitive for the user who then just has to provide those just as they would when logging into OpenProject.
* No extra logic for token management necessary.
On the other hand using **API keys** has some advantages too, which is why we went for that:
* If compromised while saved on an insecure client the user only has to regenerate the API key instead of changing their password, too.
* They are naturally long and random which makes them invulnerable to dictionary attacks and harder to crack in general.
Most importantly users may not actually have a password to begin with. Specifically when they have registered
through an OpenID Connect provider.
2021-07-12 16:18:56 +02:00
## Cross-Origin Resource Sharing (CORS)
2021-06-29 08:54:05 +01:00
By default, the OpenProject API is _not_ responding with any CORS headers.
If you want to allow cross-domain AJAX calls against your OpenProject instance, you need to enable CORS headers being returned.
2023-07-27 16:05:26 +02:00
Please see [our API settings documentation](https://www.openproject.org/docs/system-admin-guide/api-and-webhooks/) on
2021-06-29 08:54:05 +01:00
how to selectively enable CORS.
2021-07-12 16:18:56 +02:00
## Allowed HTTP methods
2021-06-29 08:54:05 +01:00
- `GET` - Get a single resource or collection of resources
- `POST` - Create a new resource or perform
- `PATCH` - Update a resource
- `DELETE` - Delete a resource
2021-07-12 16:18:56 +02:00
## Compression
2021-06-29 08:54:05 +01:00
2021-12-02 12:08:39 +01:00
Responses are compressed if requested by the client. Currently [gzip](https://www.gzip.org/) and [deflate](https://tools.ietf.org/html/rfc1951)
2021-06-29 08:54:05 +01:00
are supported. The client signals the desired compression by setting the [`Accept-Encoding` header](https://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.3).
If no `Accept-Encoding` header is send, `Accept-Encoding: identity` is assumed which will result in the API responding uncompressed.
title : OpenProject API V3 (Stable)
2024-04-15 12:22:21 +02:00
version : "3"
2022-05-06 15:28:30 +02:00
2022-01-18 09:22:18 +01:00
servers :
- url : https://qa.openproject-edge.com
description : Edge QA instance
- url : https://qa.openproject-stage.com
description : Staging instance
- url : https://community.openproject.org
description : Community instance
2022-05-06 15:28:30 +02:00
2021-06-29 08:54:05 +01:00
paths :
"/api/v3" :
"$ref": "./paths/root.yml"
"/api/v3/actions" :
"$ref": "./paths/actions.yml"
"/api/v3/actions/{id}" :
"$ref": "./paths/action.yml"
"/api/v3/activities/{id}" :
"$ref": "./paths/activity.yml"
2025-04-11 15:39:42 +03:00
"/api/v3/activities/{id}/attachments" :
"$ref": "./paths/activity_attachments.yml"
2025-05-20 20:16:00 +03:00
"/api/v3/activities/{id}/emoji_reactions" :
"$ref": "./paths/activity_emoji_reactions.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/attachments" :
"$ref": "./paths/attachments.yml"
"/api/v3/attachments/{id}" :
"$ref": "./paths/attachment.yml"
"/api/v3/budgets/{id}" :
"$ref": "./paths/budget.yml"
"/api/v3/capabilities" :
"$ref": "./paths/capabilities.yml"
"/api/v3/capabilities/context/global" :
"$ref": "./paths/capabilities_context_global.yml"
"/api/v3/capabilities/{id}" :
"$ref": "./paths/capability.yml"
"/api/v3/categories/{id}" :
"$ref": "./paths/category.yml"
"/api/v3/configuration" :
"$ref": "./paths/configuration.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/custom_actions/{id}" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/custom_action.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/custom_actions/{id}/execute" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/custom_action_execute.yml"
2024-10-29 11:53:24 +01:00
"/api/v3/custom_fields/{id}/items" :
"$ref": "./paths/custom_field_items.yml"
2024-11-04 10:13:41 +01:00
"/api/v3/custom_field_items/{id}" :
"$ref": "./paths/custom_field_item.yml"
2024-11-05 15:43:16 +01:00
"/api/v3/custom_field_items/{id}/branch" :
"$ref": "./paths/custom_field_item_branch.yml"
2022-03-14 16:07:11 +01:00
"/api/v3/custom_options/{id}" :
"$ref": "./paths/custom_option.yml"
2022-05-09 16:20:47 +02:00
"/api/v3/days/non_working" :
"$ref": "./paths/days_non_working.yml"
"/api/v3/days/non_working/{date}" :
"$ref": "./paths/days_non_working_date.yml"
"/api/v3/days/week" :
"$ref": "./paths/days_week.yml"
"/api/v3/days/week/{day}" :
"$ref": "./paths/days_week_day.yml"
2022-05-16 15:40:30 +02:00
"/api/v3/days" :
"$ref": "./paths/days.yml"
"/api/v3/days/{date}" :
"$ref": "./paths/days_date.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/documents" :
"$ref": "./paths/documents.yml"
"/api/v3/documents/{id}" :
"$ref": "./paths/document.yml"
"/api/v3/example/form" :
"$ref": "./paths/example_form.yml"
"/api/v3/example/schema" :
"$ref": "./paths/example_schema.yml"
"/api/v3/examples" :
"$ref": "./paths/examples.yml"
2022-02-21 13:57:53 +01:00
"/api/v3/file_links/{id}" :
"$ref": "./paths/file_link.yml"
"/api/v3/file_links/{id}/open" :
"$ref": "./paths/file_link_open.yml"
2022-06-21 11:10:20 +02:00
"/api/v3/file_links/{id}/download" :
"$ref": "./paths/file_link_download.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/grids" :
"$ref": "./paths/grids.yml"
"/api/v3/grids/form" :
"$ref": "./paths/grids_form.yml"
"/api/v3/grids/{id}" :
"$ref": "./paths/grid.yml"
"/api/v3/grids/{id}/form" :
"$ref": "./paths/grid_form.yml"
"/api/v3/groups" :
"$ref": "./paths/groups.yml"
"/api/v3/groups/{id}" :
"$ref": "./paths/group.yml"
"/api/v3/help_texts" :
"$ref": "./paths/help_texts.yml"
"/api/v3/help_texts/{id}" :
"$ref": "./paths/help_text.yml"
2026-02-17 11:04:05 +01:00
"/api/v3/meetings" :
"$ref": "./paths/meetings.yml"
2024-02-25 21:21:16 +01:00
"/api/v3/meetings/{id}" :
"$ref": "./paths/meeting.yml"
2026-03-27 22:28:00 +01:00
"/api/v3/meetings/{id}/agenda_items" :
2026-06-08 12:59:10 +02:00
"$ref": "./paths/meeting_agenda_items_by_meeting.yml"
2026-03-27 22:28:00 +01:00
"/api/v3/meetings/{meeting_id}/agenda_items/{id}" :
2026-06-08 12:59:10 +02:00
"$ref": "./paths/meeting_agenda_item_by_meeting.yml"
"/api/v3/meeting_agenda_items" :
"$ref": "./paths/meeting_agenda_items.yml"
"/api/v3/meeting_agenda_items/{id}" :
2026-03-27 22:28:00 +01:00
"$ref": "./paths/meeting_agenda_item.yml"
2026-05-29 19:54:29 +02:00
"/api/v3/meetings/{meeting_id}/agenda_items/{agenda_item_id}/outcomes" :
"$ref": "./paths/meeting_agenda_item_outcomes.yml"
"/api/v3/meetings/{meeting_id}/agenda_items/{agenda_item_id}/outcomes/{id}" :
"$ref": "./paths/meeting_agenda_item_outcome.yml"
2026-06-08 12:59:10 +02:00
"/api/v3/meeting_outcomes" :
"$ref": "./paths/meeting_outcomes.yml"
"/api/v3/meeting_outcomes/{id}" :
"$ref": "./paths/meeting_outcome.yml"
2024-02-25 21:21:16 +01:00
"/api/v3/meetings/{id}/attachments" :
"$ref": "./paths/meeting_attachments.yml"
2026-03-27 21:40:29 +01:00
"/api/v3/meetings/{id}/form" :
"$ref": "./paths/meeting_form.yml"
2026-03-27 22:28:00 +01:00
"/api/v3/meetings/{id}/sections" :
2026-06-08 12:59:10 +02:00
"$ref": "./paths/meeting_sections_by_meeting.yml"
2026-03-27 22:28:00 +01:00
"/api/v3/meetings/{meeting_id}/sections/{id}" :
2026-06-08 12:59:10 +02:00
"$ref": "./paths/meeting_section_by_meeting.yml"
"/api/v3/meeting_sections" :
"$ref": "./paths/meeting_sections.yml"
"/api/v3/meeting_sections/{id}" :
2026-03-27 22:28:00 +01:00
"$ref": "./paths/meeting_section.yml"
2026-03-27 21:40:29 +01:00
"/api/v3/meetings/form" :
"$ref": "./paths/meetings_form.yml"
"/api/v3/meetings/schema" :
"$ref": "./paths/meeting_schema.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/memberships" :
"$ref": "./paths/memberships.yml"
"/api/v3/memberships/available_projects" :
"$ref": "./paths/memberships_available_projects.yml"
"/api/v3/memberships/form" :
"$ref": "./paths/memberships_form.yml"
2021-11-30 17:00:34 +01:00
"/api/v3/memberships/schema" :
"$ref": "./paths/memberships_schema.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/memberships/{id}" :
"$ref": "./paths/membership.yml"
"/api/v3/memberships/{id}/form" :
"$ref": "./paths/membership_form.yml"
"/api/v3/my_preferences" :
"$ref": "./paths/my_preferences.yml"
"/api/v3/news" :
"$ref": "./paths/news.yml"
"/api/v3/news/{id}" :
"$ref": "./paths/news_item.yml"
2021-07-20 16:29:10 +02:00
"/api/v3/notifications" :
"$ref": "./paths/notifications.yml"
2022-04-12 17:24:37 +02:00
"/api/v3/notifications/read_ian" :
"$ref": "./paths/notifications_read.yml"
"/api/v3/notifications/unread_ian" :
"$ref": "./paths/notifications_unread.yml"
2021-07-20 16:29:10 +02:00
"/api/v3/notifications/{id}" :
2021-07-21 09:59:36 +01:00
"$ref": "./paths/notification.yml"
2022-10-20 18:32:06 +02:00
"/api/v3/notifications/{notification_id}/details/{id}" :
"$ref": "./paths/notification_details.yml"
2022-04-12 17:24:37 +02:00
"/api/v3/notifications/{id}/read_ian" :
"$ref": "./paths/notification_read.yml"
"/api/v3/notifications/{id}/unread_ian" :
"$ref": "./paths/notification_unread.yml"
2022-12-09 11:12:25 +01:00
"/api/v3/oauth_applications/{id}" :
"$ref": "./paths/oauth_application.yml"
2022-11-28 16:03:11 +01:00
"/api/v3/oauth_client_credentials/{id}" :
"$ref": "./paths/oauth_client_credentials.yml"
2024-02-13 10:15:33 +01:00
"/api/v3/placeholder_users" :
"$ref": "./paths/placeholder_users.yml"
"/api/v3/placeholder_users/{id}" :
"$ref": "./paths/placeholder_user.yml"
2025-11-24 10:06:51 +01:00
"/api/v3/portfolios" :
"$ref": "./paths/portfolios.yml"
"/api/v3/portfolios/{id}" :
"$ref": "./paths/portfolio.yml"
"/api/v3/portfolios/{id}/form" :
"$ref": "./paths/portfolio_form.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/posts/{id}" :
"$ref": "./paths/post.yml"
"/api/v3/posts/{id}/attachments" :
"$ref": "./paths/post_attachments.yml"
"/api/v3/principals" :
"$ref": "./paths/principals.yml"
"/api/v3/priorities" :
"$ref": "./paths/priorities.yml"
"/api/v3/priorities/{id}" :
"$ref": "./paths/priority.yml"
2025-11-24 10:06:51 +01:00
"/api/v3/programs" :
"$ref": "./paths/programs.yml"
"/api/v3/programs/{id}" :
"$ref": "./paths/program.yml"
"/api/v3/programs/{id}/form" :
"$ref": "./paths/program_form.yml"
2025-04-30 11:02:03 +02:00
"/api/v3/project_phases/{id}" :
2025-04-29 15:59:48 +02:00
"$ref": "./paths/project_phase.yml"
2025-06-10 14:55:32 +02:00
"/api/v3/project_phase_definitions" :
"$ref": "./paths/project_phase_definitions.yml"
2025-04-30 11:02:03 +02:00
"/api/v3/project_phase_definitions/{id}" :
2025-04-29 17:11:54 +02:00
"$ref": "./paths/project_phase_definition.yml"
2023-05-24 16:09:47 +02:00
"/api/v3/project_storages" :
"$ref": "./paths/project_storages.yml"
"/api/v3/project_storages/{id}" :
"$ref": "./paths/project_storage.yml"
2023-10-18 15:27:28 +02:00
"/api/v3/project_storages/{id}/open" :
"$ref": "./paths/project_storage_open.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/projects" :
"$ref": "./paths/projects.yml"
"/api/v3/projects/form" :
"$ref": "./paths/projects_form.yml"
2021-11-30 17:00:34 +01:00
"/api/v3/projects/schema" :
"$ref": "./paths/projects_schema.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/projects/{id}" :
"$ref": "./paths/project.yml"
2022-01-03 13:22:14 +01:00
"/api/v3/projects/{id}/form" :
"$ref": "./paths/project_form.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/projects/{id}/copy" :
"$ref": "./paths/project_copy.yml"
"/api/v3/projects/{id}/copy/form" :
"$ref": "./paths/project_copy_form.yml"
2022-01-03 13:22:14 +01:00
"/api/v3/project_statuses/{id}" :
"$ref": "./paths/project_status.yml"
"/api/v3/projects/available_parent_projects" :
"$ref": "./paths/projects_available_parent_projects.yml"
"/api/v3/projects/{id}/budgets" :
"$ref": "./paths/project_budgets.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/projects/{id}/queries/default" :
"$ref": "./paths/project_queries_default.yml"
"/api/v3/projects/{id}/queries/filter_instance_schemas" :
"$ref": "./paths/project_queries_filter_instance_schemas.yml"
"/api/v3/projects/{id}/queries/schema" :
"$ref": "./paths/project_queries_schema.yml"
"/api/v3/projects/{id}/work_packages" :
"$ref": "./paths/project_work_packages.yml"
"/api/v3/projects/{id}/work_packages/form" :
"$ref": "./paths/project_work_packages_form.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/projects/{id}/available_assignees" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/project_available_assignees.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/projects/{id}/categories" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/project_categories.yml"
2026-03-11 13:12:53 +01:00
"/api/v3/projects/{id}/sprints" :
"$ref": "./paths/project_sprints.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/projects/{id}/types" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/project_types.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/projects/{id}/versions" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/project_versions.yml"
2025-09-08 08:27:56 +02:00
"/api/v3/projects/{id}/favorite" :
"$ref": "./paths/project_favorite.yml"
2026-01-28 21:10:53 +03:00
"/api/v3/projects/{id}/configuration" :
"$ref": "./paths/project_configuration.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/queries" :
"$ref": "./paths/queries.yml"
"/api/v3/queries/available_projects" :
"$ref": "./paths/queries_available_projects.yml"
"/api/v3/queries/columns/{id}" :
"$ref": "./paths/queries_column.yml"
"/api/v3/queries/default" :
"$ref": "./paths/queries_default.yml"
"/api/v3/queries/filter_instance_schemas" :
"$ref": "./paths/queries_filter_instance_schemas.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/queries/filter_instance_schemas/{id}" :
"$ref": "./paths/queries_filter_instance_schemas_{id}.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/queries/filters/{id}" :
"$ref": "./paths/queries_filter.yml"
"/api/v3/queries/form" :
"$ref": "./paths/queries_form.yml"
"/api/v3/queries/operators/{id}" :
"$ref": "./paths/queries_operator.yml"
"/api/v3/queries/schema" :
"$ref": "./paths/queries_schema.yml"
"/api/v3/queries/sort_bys/{id}" :
"$ref": "./paths/queries_sort_by.yml"
"/api/v3/queries/{id}" :
"$ref": "./paths/query.yml"
2023-04-17 18:08:59 +02:00
"/api/v3/queries/{id}/form" :
"$ref": "./paths/query_form.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/queries/{id}/star" :
"$ref": "./paths/query_star.yml"
"/api/v3/queries/{id}/unstar" :
"$ref": "./paths/query_unstar.yml"
2026-03-29 22:05:04 +02:00
"/api/v3/recurring_meetings" :
"$ref": "./paths/recurring_meetings.yml"
"/api/v3/recurring_meetings/{id}" :
"$ref": "./paths/recurring_meeting.yml"
"/api/v3/recurring_meetings/{id}/occurrences/upcoming" :
"$ref": "./paths/recurring_meeting_occurrences_upcoming.yml"
"/api/v3/recurring_meetings/{id}/occurrences/past" :
"$ref": "./paths/recurring_meeting_occurrences_past.yml"
"/api/v3/recurring_meetings/{id}/occurrences/cancelled" :
"$ref": "./paths/recurring_meeting_occurrences_cancelled.yml"
"/api/v3/recurring_meetings/{id}/occurrences/open" :
"$ref": "./paths/recurring_meeting_occurrences_open.yml"
"/api/v3/recurring_meetings/{id}/occurrences/{start_time}" :
"$ref": "./paths/recurring_meeting_occurrence.yml"
"/api/v3/recurring_meetings/{id}/occurrences/{start_time}/init" :
"$ref": "./paths/recurring_meeting_occurrence_init.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/relations" :
"$ref": "./paths/relations.yml"
"/api/v3/relations/{id}" :
"$ref": "./paths/relation.yml"
"/api/v3/render/markdown" :
"$ref": "./paths/render_markdown.yml"
"/api/v3/render/plain" :
"$ref": "./paths/render_plain.yml"
"/api/v3/revisions/{id}" :
"$ref": "./paths/revision.yml"
2025-06-03 18:13:36 +03:00
"/api/v3/reminders" :
"$ref": "./paths/reminders.yml"
2025-06-03 21:12:26 +03:00
"/api/v3/reminders/{id}" :
"$ref": "./paths/reminder.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/roles" :
"$ref": "./paths/roles.yml"
"/api/v3/roles/{id}" :
"$ref": "./paths/role.yml"
2026-02-26 18:25:38 +01:00
"/api/v3/sprints" :
"$ref": "./paths/sprints.yml"
2026-02-20 16:04:47 +01:00
"/api/v3/sprints/{id}" :
"$ref": "./paths/sprint.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/statuses" :
"$ref": "./paths/statuses.yml"
"/api/v3/statuses/{id}" :
"$ref": "./paths/status.yml"
2022-11-18 14:43:12 +01:00
"/api/v3/storages" :
"$ref": "./paths/storages.yml"
2022-01-25 10:29:17 +01:00
"/api/v3/storages/{id}" :
"$ref": "./paths/storage.yml"
2022-10-21 10:41:34 +02:00
"/api/v3/storages/{id}/files" :
"$ref": "./paths/storage_files.yml"
2023-01-23 15:20:28 +01:00
"/api/v3/storages/{id}/files/prepare_upload" :
"$ref": "./paths/storage_files_prepare_upload.yml"
2024-12-05 15:45:26 +01:00
"/api/v3/storages/{id}/folders" :
"$ref": "./paths/storage_folders.yml"
2022-11-28 11:28:29 +01:00
"/api/v3/storages/{id}/oauth_client_credentials" :
"$ref": "./paths/storage_oauth_client_credentials.yml"
2023-10-18 15:27:28 +02:00
"/api/v3/storages/{id}/open" :
"$ref": "./paths/storage_open.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/time_entries" :
"$ref": "./paths/time_entries.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/time_entries/{id}/form" :
"$ref": "./paths/time_entries_id_form.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/time_entries/activity/{id}" :
2023-07-05 13:28:15 +02:00
"$ref": "./paths/time_entry_activity.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/time_entries/available_projects" :
"$ref": "./paths/time_entries_available_projects.yml"
"/api/v3/time_entries/form" :
"$ref": "./paths/time_entries_form.yml"
"/api/v3/time_entries/schema" :
"$ref": "./paths/time_entries_schema.yml"
"/api/v3/time_entries/{id}" :
"$ref": "./paths/time_entry.yml"
"/api/v3/types" :
"$ref": "./paths/types.yml"
"/api/v3/types/{id}" :
"$ref": "./paths/type.yml"
"/api/v3/users" :
"$ref": "./paths/users.yml"
2021-11-30 17:00:34 +01:00
"/api/v3/users/schema" :
"$ref": "./paths/users_schema.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/users/{id}" :
"$ref": "./paths/user.yml"
"/api/v3/users/{id}/form" :
"$ref": "./paths/user_form.yml"
"/api/v3/users/{id}/lock" :
"$ref": "./paths/user_lock.yml"
2026-03-02 19:38:11 +01:00
"/api/v3/users/{id}/non_working_times" :
"$ref": "./paths/user_non_working_times.yml"
2026-03-11 14:58:17 +01:00
"/api/v3/users/{id}/non_working_times/{non_working_time_id}" :
2026-03-02 19:38:11 +01:00
"$ref": "./paths/user_non_working_times_date.yml"
2026-02-25 11:16:33 +01:00
"/api/v3/users/{id}/working_hours" :
"$ref": "./paths/user_working_hours.yml"
"/api/v3/users/{id}/working_hours/{working_hours_id}" :
"$ref": "./paths/user_working_hours_record.yml"
2022-10-20 18:32:06 +02:00
"/api/v3/values/schema/{id}" :
"$ref": "./paths/values_schema.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/versions" :
"$ref": "./paths/versions.yml"
"/api/v3/versions/available_projects" :
"$ref": "./paths/versions_available_projects.yml"
"/api/v3/versions/form" :
"$ref": "./paths/versions_form.yml"
2021-11-30 17:00:34 +01:00
"/api/v3/versions/schema" :
"$ref": "./paths/versions_schema.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/versions/{id}" :
"$ref": "./paths/version.yml"
"/api/v3/versions/{id}/form" :
"$ref": "./paths/version_form.yml"
"/api/v3/versions/{id}/projects" :
"$ref": "./paths/version_projects.yml"
2025-11-24 14:33:32 +01:00
"/api/v3/versions/{id}/workspaces" :
"$ref": "./paths/version_workspaces.yml"
2021-11-30 17:00:34 +01:00
"/api/v3/views" :
"$ref": "./paths/views.yml"
"/api/v3/views/{id}" :
"$ref": "./paths/view.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/wiki_pages/{id}" :
"$ref": "./paths/wiki_page.yml"
"/api/v3/wiki_pages/{id}/attachments" :
"$ref": "./paths/wiki_page_attachments.yml"
"/api/v3/work_packages" :
"$ref": "./paths/work_packages.yml"
"/api/v3/work_packages/form" :
"$ref": "./paths/work_packages_form.yml"
2022-01-18 09:22:18 +01:00
"/api/v3/work_packages/schemas" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/work_packages_schemas.yml"
"/api/v3/work_packages/schemas/{identifier}" :
"$ref": "./paths/work_packages_schemas_{identifier}.yml"
"/api/v3/work_packages/{id}" :
"$ref": "./paths/work_package.yml"
"/api/v3/work_packages/{id}/activities" :
"$ref": "./paths/work_package_activities.yml"
2025-05-20 20:16:00 +03:00
"/api/v3/work_packages/{id}/activities_emoji_reactions" :
"$ref": "./paths/work_package_activities_emoji_reactions.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/work_packages/{id}/attachments" :
"$ref": "./paths/work_package_attachments.yml"
2023-12-20 11:38:44 -05:00
"/api/v3/work_packages/{id}/available_assignees" :
"$ref": "./paths/work_package_available_assignees.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/work_packages/{id}/available_projects" :
"$ref": "./paths/work_package_available_projects.yml"
"/api/v3/work_packages/{id}/available_relation_candidates" :
"$ref": "./paths/work_package_available_relation_candidates.yml"
"/api/v3/work_packages/{id}/available_watchers" :
"$ref": "./paths/work_package_available_watchers.yml"
2022-01-19 14:00:06 +01:00
"/api/v3/work_packages/{id}/file_links" :
"$ref": "./paths/work_package_file_links.yml"
2021-06-29 08:54:05 +01:00
"/api/v3/work_packages/{id}/form" :
"$ref": "./paths/work_package_form.yml"
"/api/v3/work_packages/{id}/revisions" :
"$ref": "./paths/work_package_revisions.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/work_packages/{id}/relations" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/work_package_relations.yml"
2025-06-03 09:33:38 +03:00
"/api/v3/work_packages/{work_package_id}/reminders" :
2024-12-11 12:21:09 +01:00
"$ref": "./paths/work_package_reminders.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/work_packages/{id}/watchers" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/work_package_watchers.yml"
2021-07-12 16:18:56 +02:00
"/api/v3/work_packages/{id}/watchers/{user_id}" :
2021-06-29 08:54:05 +01:00
"$ref": "./paths/work_package_watcher.yml"
2025-11-24 10:06:51 +01:00
"/api/v3/workspaces" :
"$ref": "./paths/workspaces.yml"
2025-11-24 14:33:32 +01:00
"/api/v3/workspaces/{id}/available_assignees" :
"$ref": "./paths/workspace_available_assignees.yml"
"/api/v3/workspaces/{id}/categories" :
"$ref": "./paths/workspace_categories.yml"
"/api/v3/workspaces/{id}/favorite" :
"$ref": "./paths/workspace_favorite.yml"
"/api/v3/workspaces/{id}/queries/default" :
"$ref": "./paths/workspace_queries_default.yml"
"/api/v3/workspace/{id}/queries/filter_instance_schemas" :
"$ref": "./paths/workspace_queries_filter_instance_schemas.yml"
"/api/v3/workspace/{id}/queries/schema" :
"$ref": "./paths/workspace_queries_schema.yml"
"/api/v3/workspaces/{id}/types" :
"$ref": "./paths/workspace_types.yml"
"/api/v3/workspaces/{id}/work_packages" :
"$ref": "./paths/workspace_work_packages.yml"
"/api/v3/workspaces/{id}/work_packages/form" :
"$ref": "./paths/workspace_work_packages_form.yml"
"/api/v3/workspaces/{id}/versions" :
"$ref": "./paths/workspace_versions.yml"
2025-11-24 10:06:51 +01:00
"/api/v3/workspaces/schema" :
"$ref": "./paths/workspaces_schema.yml"
2022-05-06 15:28:30 +02:00
2021-06-29 08:54:05 +01:00
components :
2021-11-29 12:15:23 +01:00
examples :
2025-04-17 17:03:59 +02:00
ActivityResponse :
$ref : "./components/examples/activity_response.yml"
2022-10-20 18:32:06 +02:00
DateAlertNotification :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/date_alert_notification.yml"
2023-08-03 16:46:00 +02:00
GridSimpleCollectionResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/grid-simple-collection-response.yml"
2023-08-03 16:46:00 +02:00
GridSimplePatchModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/grid-simple-patch-model.yml"
2023-08-03 16:46:00 +02:00
GridSimpleResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/grid-simple-response.yml"
2024-02-12 16:40:26 +01:00
GroupResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/group-response.yml"
2024-10-29 11:53:24 +01:00
HierarchyItemCollectionFilteredResponse :
$ref : "./components/examples/hierarchy_item_collection_filtered_response.yml"
HierarchyItemCollectionResponse :
$ref : "./components/examples/hierarchy_item_collection_response.yml"
2024-11-04 10:13:41 +01:00
HierarchyItemResponse :
$ref : "./components/examples/hierarchy_item_response.yml"
2026-02-17 10:43:09 +01:00
MeetingCollectionSimpleResponse :
$ref : "./components/examples/meeting_collection_simple_response.yml"
2026-02-13 16:10:04 +01:00
MeetingSimpleResponse :
$ref : "./components/examples/meeting_simple_response.yml"
2026-03-27 21:40:29 +01:00
MeetingCreateRequest :
$ref : "./components/examples/meeting_create_request.yml"
MeetingUpdateRequest :
$ref : "./components/examples/meeting_update_request.yml"
2023-10-26 16:01:07 +02:00
MembershipCreateRequestCustomMessage :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/membership-create-request-custom-message.yml"
2023-10-26 16:01:07 +02:00
MembershipCreateRequestGlobalRole :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/membership-create-request-global-role.yml"
2023-10-26 16:01:07 +02:00
MembershipCreateRequestNoNotification :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/membership-create-request-no-notification.yml"
2023-10-26 16:01:07 +02:00
MembershipFormResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/membership-form-response.yml"
2023-10-26 16:01:07 +02:00
MembershipSchemaResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/membership-schema-response.yml"
2023-10-26 16:01:07 +02:00
MembershipSimpleCollectionResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/membership-simple-collection-response.yml"
2023-10-26 16:01:07 +02:00
MembershipSimpleResponse :
2026-02-13 16:10:04 +01:00
$ref : "./components/examples/membership_simple_response.yml"
2023-11-07 10:44:49 +01:00
MembershipUpdateAdditionalRoles :
2026-02-13 16:10:04 +01:00
$ref : "./components/examples/membership_update_additional_roles.yml"
2022-10-20 18:32:06 +02:00
MentionedNotification :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/mentioned_notification.yml"
2022-10-20 18:32:06 +02:00
NotificationCollection :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/notification_collection.yml"
2024-02-12 16:40:26 +01:00
PlaceholderUserResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/placeholder-user-response.yml"
2025-11-24 10:06:51 +01:00
Portfolio :
$ref : "./components/examples/portfolio.yml"
PortfolioBody :
$ref : "./components/examples/portfolio_body.yml"
PortfolioCollection :
$ref : "./components/examples/portfolio_collection.yml"
2024-05-04 21:37:57 +02:00
PriorityCollection :
$ref : "./components/examples/priority_collection.yml"
2025-11-24 10:06:51 +01:00
Program :
$ref : "./components/examples/program.yml"
ProgramBody :
$ref : "./components/examples/program_body.yml"
ProgramCollection :
$ref : "./components/examples/program_collection.yml"
2022-01-03 13:22:14 +01:00
Project :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/project.yml"
2022-01-03 13:22:14 +01:00
ProjectBody :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/project_body.yml"
2023-12-11 15:29:18 +01:00
ProjectCollection :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/project_collection.yml"
2024-05-24 10:06:19 +02:00
RelationCollectionResponse :
$ref : "./components/examples/relation_collection_response.yml"
2024-08-07 15:33:02 +02:00
RelationCreateRequest :
$ref : "./components/examples/relation_create_request.yml"
2024-05-24 10:06:19 +02:00
RelationResponse :
$ref : "./components/examples/relation_response.yml"
2024-08-07 15:33:02 +02:00
RelationUpdateRequest :
$ref : "./components/examples/relation_update_request.yml"
2026-02-20 16:04:47 +01:00
SprintResponse :
$ref : "./components/examples/sprint.yml"
2026-02-26 18:25:38 +01:00
SprintCollectionResponse :
$ref : "./components/examples/sprint_collection.yml"
2024-09-02 13:30:29 +02:00
StatusCollection :
$ref : "./components/examples/status_collection.yml"
StatusResponse :
$ref : "./components/examples/status_response.yml"
2024-05-23 15:38:06 +02:00
StorageNextcloudResponse :
$ref : "./components/examples/storage-nextcloud-response.yml"
2024-12-05 15:45:26 +01:00
StorageCreateFolderRequestBody :
$ref : "./components/examples/storage-create-folder-request-body.yml"
2024-05-23 15:38:06 +02:00
StorageNextcloudResponseForCreation :
$ref : "./components/examples/storage-nextcloud-response-for-creation.yml"
StorageNextcloudUnauthorizedResponse :
$ref : "./components/examples/storage-nextcloud-unauthorized-response.yml"
StorageOneDriveIncompleteResponse :
$ref : "./components/examples/storage-one-drive-incomplete-response.yml"
StorageOneDriveResponse :
$ref : "./components/examples/storage-one-drive-response.yml"
2024-09-02 13:30:29 +02:00
StoragesSimpleCollectionModel :
$ref : "./components/examples/storages-simple-collection-response.yml"
2021-11-29 12:15:23 +01:00
QueriesModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/queries.yml"
2021-11-29 12:15:23 +01:00
QueryModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/query.yml"
2021-11-29 12:15:23 +01:00
QuerySchemaModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/query_schema.yml"
2024-02-12 16:40:26 +01:00
UserResponse :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/user-response.yml"
2022-11-08 15:33:21 +02:00
ValuesPropertyStartDateSchema :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/values_property_start_date_schema.yml"
2022-11-08 15:33:21 +02:00
ValuesPropertyDueDateSchema :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/values_property_due_date_schema.yml"
2022-11-08 15:33:21 +02:00
ValuesPropertyDateSchema :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/values_property_date_schema.yml"
2022-10-20 18:32:06 +02:00
ValuesPropertyStartDate :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/values_property_start_date.yml"
2022-11-08 15:33:21 +02:00
ValuesPropertyDueDate :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/values_property_due_date.yml"
2022-11-08 15:33:21 +02:00
ValuesPropertyDate :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/values_property_date.yml"
2026-02-11 16:35:03 +01:00
VersionSimpleResponse :
$ref : "./components/examples/version_simple_response.yml"
VersionCreateRequest :
$ref : "./components/examples/version_create_request.yml"
VersionUpdateNameRequest :
$ref : "./components/examples/version_update_name_request.yml"
2021-11-30 17:00:34 +01:00
Views :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/views.yml"
2021-12-01 15:57:16 +01:00
ViewWorkPackagesTable :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/view_work_packages_table.yml"
2021-12-02 16:55:00 +01:00
ViewTeamPlanner :
2024-04-15 12:22:21 +02:00
$ref : "./components/examples/view_team_planner.yml"
2024-08-26 15:52:59 +02:00
WorkPackageCreateOnlySubject :
$ref : "./components/examples/work_package_create_only_subject.yml"
WorkPackageCreateValid :
$ref : "./components/examples/work_package_create_valid.yml"
WorkPackageEditSubject :
$ref : "./components/examples/work_package_edit_subject.yml"
2025-10-23 17:36:51 +03:00
WorkPackageWithMetaValidation :
$ref : "./components/examples/work_package_with_meta_validation.yml"
2022-11-08 15:33:21 +02:00
2022-06-20 09:12:06 +02:00
responses :
2023-10-26 16:01:07 +02:00
InvalidQuery :
"$ref": "./components/responses/invalid_query.yml"
2022-06-20 09:12:06 +02:00
InvalidRequestBody :
"$ref": "./components/responses/invalid_request_body.yml"
MissingContentType :
"$ref": "./components/responses/missing_content_type.yml"
UnsupportedMediaType :
"$ref": "./components/responses/unsupported_media_type.yml"
2022-05-06 15:28:30 +02:00
2021-06-29 08:54:05 +01:00
schemas :
ActivityModel :
"$ref": "./components/schemas/activity_model.yml"
2025-04-17 17:03:59 +02:00
ActivityCommentWriteModel :
"$ref": "./components/schemas/activity_comment_write_model.yml"
2021-06-29 08:54:05 +01:00
AttachmentModel :
"$ref": "./components/schemas/attachment_model.yml"
2022-01-20 14:22:17 +01:00
Attachments_Model :
"$ref": "./components/schemas/attachments_model.yml"
2021-06-29 08:54:05 +01:00
Available_AssigneesModel :
"$ref": "./components/schemas/available_assignees_model.yml"
Available_WatchersModel :
"$ref": "./components/schemas/available_watchers_model.yml"
Available_projects_for_queryModel :
"$ref": "./components/schemas/available_projects_for_query_model.yml"
Available_projects_for_time_entriesModel :
"$ref": "./components/schemas/available_projects_for_time_entries_model.yml"
Available_projects_for_versionsModel :
"$ref": "./components/schemas/available_projects_for_versions_model.yml"
Available_projects_for_work_packageModel :
"$ref": "./components/schemas/available_projects_for_work_package_model.yml"
Available_relation_candidatesModel :
"$ref": "./components/schemas/available_relation_candidates_model.yml"
BudgetModel :
"$ref": "./components/schemas/budget_model.yml"
Budgets_by_ProjectModel :
"$ref": "./components/schemas/budgets_by_project_model.yml"
2025-11-24 14:33:32 +01:00
Categories_by_WorkspaceModel :
"$ref": "./components/schemas/categories_by_workspace_model.yml"
2021-06-29 08:54:05 +01:00
CategoryModel :
"$ref": "./components/schemas/category_model.yml"
2024-08-19 16:23:24 +02:00
CollectionLinks :
"$ref": "./components/schemas/collection_links.yml"
2021-06-29 08:54:05 +01:00
CollectionModel :
"$ref": "./components/schemas/collection_model.yml"
ConfigurationModel :
"$ref": "./components/schemas/configuration_model.yml"
2026-01-28 21:10:53 +03:00
ProjectConfigurationModel :
"$ref": "./components/schemas/project_configuration_model.yml"
2023-07-05 13:28:15 +02:00
CustomActionModel :
2021-06-29 08:54:05 +01:00
"$ref": "./components/schemas/custom_action_model.yml"
2026-02-26 19:57:28 +01:00
CustomCommentProperties :
"$ref": "./components/schemas/custom_comment_properties.yml"
2026-02-11 16:35:03 +01:00
CustomFieldLinkedProperties :
"$ref": "./components/schemas/custom_field_linked_properties.yml"
CustomFieldProperties :
"$ref": "./components/schemas/custom_field_properties.yml"
2023-07-05 13:28:15 +02:00
CustomOptionModel :
2022-03-14 16:07:11 +01:00
"$ref": "./components/schemas/custom_option_model.yml"
2022-05-16 15:40:30 +02:00
DayCollectionModel :
"$ref": "./components/schemas/day_collection_model.yml"
DayModel :
"$ref": "./components/schemas/day_model.yml"
2021-06-29 08:54:05 +01:00
Default_QueryModel :
"$ref": "./components/schemas/default_query_model.yml"
2025-11-24 14:33:32 +01:00
Default_Query_for_WorkspaceModel :
"$ref": "./components/schemas/default_query_for_workspace_model.yml"
2021-06-29 08:54:05 +01:00
DocumentModel :
"$ref": "./components/schemas/document_model.yml"
DocumentsModel :
"$ref": "./components/schemas/documents_model.yml"
2025-11-24 10:06:51 +01:00
EmojiReactionModel :
"$ref": "./components/schemas/emoji_reaction_model.yml"
EmojiReactions_Model :
"$ref": "./components/schemas/emoji_reactions_model.yml"
2022-01-07 17:44:21 +01:00
ErrorResponse :
"$ref": "./components/schemas/error_response.yml"
2021-06-29 08:54:05 +01:00
Example_FormModel :
"$ref": "./components/schemas/example_form_model.yml"
Example_SchemaModel :
"$ref": "./components/schemas/example_schema_model.yml"
2022-03-07 11:31:56 +01:00
FileLinkCollectionReadModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/schemas/file_link_collection_read_model.yml"
2022-03-07 11:31:56 +01:00
FileLinkCollectionWriteModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/schemas/file_link_collection_write_model.yml"
2022-03-07 11:31:56 +01:00
FileLinkOriginDataModel :
2022-01-21 10:57:51 +01:00
"$ref": "./components/schemas/file_link_origin_data_model.yml"
2022-03-07 11:31:56 +01:00
FileLinkReadModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/schemas/file_link_read_model.yml"
2022-03-07 11:31:56 +01:00
FileLinkWriteModel :
2024-04-15 12:22:21 +02:00
$ref : "./components/schemas/file_link_write_model.yml"
2025-04-17 17:03:59 +02:00
FileUploadForm :
$ref : "./components/schemas/file_upload_form.yml"
2021-06-29 08:54:05 +01:00
Formattable :
"$ref": "./components/schemas/formattable.yml"
2023-08-03 16:46:00 +02:00
GridCollectionModel :
"$ref": "./components/schemas/grid_collection_model.yml"
GridReadModel :
"$ref": "./components/schemas/grid_read_model.yml"
GridWidgetModel :
"$ref": "./components/schemas/grid_widget_model.yml"
GridWriteModel :
"$ref": "./components/schemas/grid_write_model.yml"
2023-07-12 14:40:04 +02:00
GroupCollectionModel :
"$ref": "./components/schemas/group_collection_model.yml"
GroupModel :
"$ref": "./components/schemas/group_model.yml"
GroupWriteModel :
"$ref": "./components/schemas/group_write_model.yml"
2023-07-10 14:27:34 +02:00
HelpTextCollectionModel :
"$ref": "./components/schemas/help_text_collection_model.yml"
HelpTextModel :
2021-06-29 08:54:05 +01:00
"$ref": "./components/schemas/help_text_model.yml"
2024-10-29 11:53:24 +01:00
HierarchyItemCollectionModel :
"$ref": "./components/schemas/hierarchy_item_collection_model.yml"
HierarchyItemReadModel :
"$ref": "./components/schemas/hierarchy_item_read_model.yml"
2021-06-29 08:54:05 +01:00
Link :
"$ref": "./components/schemas/link.yml"
List_actionsModel :
"$ref": "./components/schemas/list_actions_model.yml"
List_available_parent_project_candidatesModel :
"$ref": "./components/schemas/list_available_parent_project_candidates_model.yml"
List_capabilitiesModel :
"$ref": "./components/schemas/list_capabilities_model.yml"
List_of_NewsModel :
"$ref": "./components/schemas/list_of_news_model.yml"
2025-11-24 14:33:32 +01:00
List_workspaces_by_versionModel :
"$ref": "./components/schemas/list_workspaces_by_version_model.yml"
2026-03-27 22:28:00 +01:00
MeetingAgendaItemModel :
"$ref": "./components/schemas/meeting_agenda_item_model.yml"
MeetingAgendaItemWriteModel :
"$ref": "./components/schemas/meeting_agenda_item_write_model.yml"
MeetingAgendaItemCollectionModel :
"$ref": "./components/schemas/meeting_agenda_item_collection_model.yml"
2026-05-29 19:54:29 +02:00
MeetingOutcomeCollectionModel :
"$ref": "./components/schemas/meeting_outcome_collection_model.yml"
MeetingOutcomeModel :
"$ref": "./components/schemas/meeting_outcome_model.yml"
MeetingOutcomeWriteModel :
"$ref": "./components/schemas/meeting_outcome_write_model.yml"
2026-02-17 11:04:05 +01:00
MeetingCollectionModel :
"$ref": "./components/schemas/meeting_collection_model.yml"
2024-02-25 21:21:16 +01:00
MeetingModel :
"$ref": "./components/schemas/meeting_model.yml"
2026-03-27 22:28:00 +01:00
MeetingSectionModel :
"$ref": "./components/schemas/meeting_section_model.yml"
MeetingSectionWriteModel :
"$ref": "./components/schemas/meeting_section_write_model.yml"
MeetingSectionCollectionModel :
"$ref": "./components/schemas/meeting_section_collection_model.yml"
2026-03-27 21:40:29 +01:00
MeetingWriteModel :
"$ref": "./components/schemas/meeting_write_model.yml"
2021-06-29 08:54:05 +01:00
MarkdownModel :
"$ref": "./components/schemas/markdown_model.yml"
2023-10-26 16:01:07 +02:00
MembershipCollectionModel :
"$ref": "./components/schemas/membership_collection_model.yml"
MembershipFormModel :
"$ref": "./components/schemas/membership_form_model.yml"
MembershipReadModel :
"$ref": "./components/schemas/membership_read_model.yml"
MembershipSchemaModel :
"$ref": "./components/schemas/membership_schema_model.yml"
MembershipWriteModel :
"$ref": "./components/schemas/membership_write_model.yml"
2024-05-22 12:21:28 +02:00
NewsCreateModel :
"$ref": "./components/schemas/news_create_model.yml"
2021-06-29 08:54:05 +01:00
NewsModel :
"$ref": "./components/schemas/news_model.yml"
2022-12-14 18:57:21 +02:00
NonWorkingDayCollectionModel :
"$ref": "./components/schemas/non_working_day_collection_model.yml"
2022-05-06 15:28:30 +02:00
NonWorkingDayModel :
"$ref": "./components/schemas/non_working_day_model.yml"
2022-04-11 11:06:03 +02:00
NotificationCollectionModel :
"$ref": "./components/schemas/notification_collection_model.yml"
2021-07-20 16:29:10 +02:00
NotificationModel :
"$ref": "./components/schemas/notification_model.yml"
2022-12-09 13:48:03 +01:00
OAuthApplicationReadModel :
"$ref": "./components/schemas/oauth_application_read_model.yml"
2022-11-28 16:03:11 +01:00
OAuthClientCredentialsReadModel :
2022-11-28 11:28:29 +01:00
"$ref": "./components/schemas/oauth_client_credentials_read_model.yml"
2022-11-28 16:03:11 +01:00
OAuthClientCredentialsWriteModel :
2022-11-28 11:28:29 +01:00
"$ref": "./components/schemas/oauth_client_credentials_write_model.yml"
2024-08-19 16:23:24 +02:00
OffsetPaginatedCollectionLinks :
"$ref": "./components/schemas/offset_paginated_collection_links.yml"
OffsetPaginatedCollectionModel :
"$ref": "./components/schemas/offset_paginated_collection_model.yml"
2023-08-03 16:46:00 +02:00
PaginatedCollectionModel :
"$ref": "./components/schemas/paginated_collection_model.yml"
2024-02-12 16:40:26 +01:00
PlaceholderUserCollectionModel :
"$ref": "./components/schemas/placeholder_user_collection_model.yml"
2024-02-13 10:15:33 +01:00
PlaceholderUserCreateModel :
"$ref": "./components/schemas/placeholder_user_create_model.yml"
2024-02-12 16:40:26 +01:00
PlaceholderUserModel :
"$ref": "./components/schemas/placeholder_user_model.yml"
2021-06-29 08:54:05 +01:00
Plain_TextModel :
"$ref": "./components/schemas/plain_text_model.yml"
2025-11-24 10:06:51 +01:00
PortfolioCollectionModel :
"$ref": "./components/schemas/portfolio_collection_model.yml"
PortfolioModel :
"$ref": "./components/schemas/portfolio_model.yml"
2021-06-29 08:54:05 +01:00
PostModel :
"$ref": "./components/schemas/post_model.yml"
2024-02-12 16:40:26 +01:00
PrincipalCollectionModel :
"$ref": "./components/schemas/principal_collection_model.yml"
PrincipalModel :
"$ref": "./components/schemas/principal_model.yml"
2024-05-04 21:37:57 +02:00
PriorityCollectionModel :
"$ref": "./components/schemas/priority_collection_model.yml"
2021-06-29 08:54:05 +01:00
PriorityModel :
"$ref": "./components/schemas/priority_model.yml"
2025-11-24 10:06:51 +01:00
ProgramCollectionModel :
"$ref": "./components/schemas/program_collection_model.yml"
ProgramModel :
"$ref": "./components/schemas/program_model.yml"
2023-12-11 15:29:18 +01:00
ProjectCollectionModel :
"$ref": "./components/schemas/project_collection_model.yml"
2021-06-29 08:54:05 +01:00
ProjectModel :
"$ref": "./components/schemas/project_model.yml"
2025-04-29 15:59:48 +02:00
ProjectPhaseModel :
"$ref": "./components/schemas/project_phase_model.yml"
2025-04-29 17:11:54 +02:00
ProjectPhaseDefinitionModel :
"$ref": "./components/schemas/project_phase_definition_model.yml"
2025-06-10 14:55:32 +02:00
ProjectPhaseDefinitionCollectionModel :
"$ref": "./components/schemas/project_phase_definition_collection_model.yml"
2023-05-24 16:09:47 +02:00
ProjectStorageCollectionModel :
"$ref": "./components/schemas/project_storage_collection_model.yml"
ProjectStorageModel :
"$ref": "./components/schemas/project_storage_model.yml"
2021-06-29 08:54:05 +01:00
QueriesModel :
"$ref": "./components/schemas/queries_model.yml"
QueryModel :
"$ref": "./components/schemas/query_model.yml"
Query_ColumnModel :
"$ref": "./components/schemas/query_column_model.yml"
Query_Create_Form :
"$ref": "./components/schemas/query_create_form.yml"
Query_FilterModel :
"$ref": "./components/schemas/query_filter_model.yml"
2025-12-15 10:36:03 +01:00
Query_Filter_Instance_Model :
"$ref": "./components/schemas/query_filter_instance_model.yml"
2021-06-29 08:54:05 +01:00
Query_Filter_Instance_SchemaModel :
"$ref": "./components/schemas/query_filter_instance_schema_model.yml"
Query_Filter_Instance_SchemasModel :
"$ref": "./components/schemas/query_filter_instance_schemas_model.yml"
2025-11-24 14:33:32 +01:00
Query_Filter_Instance_Schemas_For_WorkspaceModel :
"$ref": "./components/schemas/query_filter_instance_schemas_for_workspace_model.yml"
2021-06-29 08:54:05 +01:00
Query_OperatorModel :
"$ref": "./components/schemas/query_operator_model.yml"
Query_Sort_ByModel :
"$ref": "./components/schemas/query_sort_by_model.yml"
2023-04-17 18:08:59 +02:00
Query_Update_Form :
"$ref": "./components/schemas/query_update_form.yml"
2026-03-29 22:05:04 +02:00
RecurringMeetingCollectionModel :
"$ref": "./components/schemas/recurring_meeting_collection_model.yml"
RecurringMeetingModel :
"$ref": "./components/schemas/recurring_meeting_model.yml"
RecurringMeetingWriteModel :
"$ref": "./components/schemas/recurring_meeting_write_model.yml"
RecurringMeetingOccurrenceCollectionModel :
"$ref": "./components/schemas/recurring_meeting_occurrence_collection_model.yml"
RecurringMeetingOccurrenceModel :
"$ref": "./components/schemas/recurring_meeting_occurrence_model.yml"
2024-05-24 10:06:19 +02:00
RelationCollectionModel :
"$ref": "./components/schemas/relation_collection_model.yml"
2024-08-07 15:33:02 +02:00
RelationReadModel :
"$ref": "./components/schemas/relation_read_model.yml"
RelationWriteModel :
"$ref": "./components/schemas/relation_write_model.yml"
2024-12-11 12:21:09 +01:00
ReminderModel :
"$ref": "./components/schemas/reminder_model.yml"
2021-06-29 08:54:05 +01:00
RevisionModel :
"$ref": "./components/schemas/revision_model.yml"
RevisionsModel :
"$ref": "./components/schemas/revisions_model.yml"
RoleModel :
"$ref": "./components/schemas/role_model.yml"
RolesModel :
"$ref": "./components/schemas/roles_model.yml"
RootModel :
"$ref": "./components/schemas/root_model.yml"
SchemaModel :
"$ref": "./components/schemas/schema_model.yml"
2023-10-26 16:01:07 +02:00
SchemaPropertyModel :
"$ref": "./components/schemas/schema_property_model.yml"
2021-06-29 08:54:05 +01:00
Schema_For_Global_QueriesModel :
"$ref": "./components/schemas/schema_for_global_queries_model.yml"
2025-11-24 14:33:32 +01:00
Schema_For_Workspace_QueriesModel :
"$ref": "./components/schemas/schema_for_workspace_queries_model.yml"
2026-02-26 18:25:38 +01:00
SprintCollectionModel :
"$ref": "./components/schemas/sprint_collection_model.yml"
2026-02-20 16:04:47 +01:00
SprintModel :
"$ref": "./components/schemas/sprint_model.yml"
2021-06-29 08:54:05 +01:00
Star_QueryModel :
"$ref": "./components/schemas/star_query_model.yml"
2023-12-12 17:05:26 +01:00
StatusCollectionModel :
"$ref": "./components/schemas/status_collection_model.yml"
2021-06-29 08:54:05 +01:00
StatusModel :
"$ref": "./components/schemas/status_model.yml"
2023-10-05 13:29:45 +02:00
StorageCollectionModel :
"$ref": "./components/schemas/storage_collection_model.yml"
2022-09-20 14:58:35 +02:00
StorageFileModel :
"$ref": "./components/schemas/storage_file_model.yml"
2023-01-30 20:50:52 +01:00
StorageFilesModel :
"$ref": "./components/schemas/storage_files_model.yml"
2024-12-05 15:45:26 +01:00
StorageFolderWriteModel :
"$ref": "./components/schemas/storage_folder_write_model.yml"
2023-01-23 15:20:28 +01:00
StorageFileUploadPreparationModel :
"$ref": "./components/schemas/storage_file_upload_preparation_model.yml"
StorageFileUploadLinkModel :
"$ref": "./components/schemas/storage_file_upload_link_model.yml"
2022-11-18 14:43:12 +01:00
StorageReadModel :
"$ref": "./components/schemas/storage_read_model.yml"
StorageWriteModel :
"$ref": "./components/schemas/storage_write_model.yml"
2023-07-05 13:28:15 +02:00
TimeEntryActivityModel :
"$ref": "./components/schemas/time_entry_activity_model.yml"
TimeEntryCollectionModel :
"$ref": "./components/schemas/time_entry_collection_model.yml"
TimeEntryModel :
"$ref": "./components/schemas/time_entry_model.yml"
2021-06-29 08:54:05 +01:00
TypeModel :
"$ref": "./components/schemas/type_model.yml"
TypesModel :
"$ref": "./components/schemas/types_model.yml"
2025-11-24 14:33:32 +01:00
Types_by_WorkspaceModel :
"$ref": "./components/schemas/types_by_workspace_model.yml"
2021-06-29 08:54:05 +01:00
Unstar_QueryModel :
"$ref": "./components/schemas/unstar_query_model.yml"
2022-04-29 14:09:11 +02:00
UserCollectionModel :
"$ref": "./components/schemas/user_collection_model.yml"
UserCreateModel :
"$ref": "./components/schemas/user_create_model.yml"
2021-06-29 08:54:05 +01:00
UserModel :
"$ref": "./components/schemas/user_model.yml"
2026-03-02 19:38:11 +01:00
UserNonWorkingTimeCollectionModel :
"$ref": "./components/schemas/user_non_working_time_collection_model.yml"
UserNonWorkingTimeModel :
"$ref": "./components/schemas/user_non_working_time_model.yml"
2021-06-29 08:54:05 +01:00
UserPreferencesModel :
"$ref": "./components/schemas/user_preferences_model.yml"
2026-02-25 11:16:33 +01:00
UserWorkingHoursCollectionModel :
"$ref": "./components/schemas/user_working_hours_collection_model.yml"
UserWorkingHoursModel :
"$ref": "./components/schemas/user_working_hours_model.yml"
2022-10-20 18:32:06 +02:00
ValuesPropertyModel :
"$ref": "./components/schemas/values_property_model.yml"
2026-02-11 16:35:03 +01:00
VersionCollectionModel :
"$ref": "./components/schemas/version_collection_model.yml"
VersionReadModel :
"$ref": "./components/schemas/version_read_model.yml"
VersionWriteModel :
"$ref": "./components/schemas/version_write_model.yml"
2021-06-29 08:54:05 +01:00
Version_schemaModel :
"$ref": "./components/schemas/version_schema_model.yml"
2025-11-24 14:33:32 +01:00
Versions_by_WorkspaceModel :
"$ref": "./components/schemas/versions_by_workspace_model.yml"
2021-06-29 08:54:05 +01:00
View_actionModel :
"$ref": "./components/schemas/view_action_model.yml"
View_capabilitiesModel :
"$ref": "./components/schemas/view_capabilities_model.yml"
View_global_contextModel :
"$ref": "./components/schemas/view_global_context_model.yml"
View_project_statusModel :
"$ref": "./components/schemas/view_project_status_model.yml"
View_time_entry_schemaModel :
"$ref": "./components/schemas/view_time_entry_schema_model.yml"
View_user_schemaModel :
"$ref": "./components/schemas/view_user_schema_model.yml"
WatchersModel :
"$ref": "./components/schemas/watchers_model.yml"
2022-05-06 15:28:30 +02:00
WeekDayCollectionModel :
"$ref": "./components/schemas/week_day_collection_model.yml"
2022-05-09 10:31:39 +02:00
WeekDayCollectionWriteModel :
"$ref": "./components/schemas/week_day_collection_write_model.yml"
2022-05-06 15:28:30 +02:00
WeekDayModel :
"$ref": "./components/schemas/week_day_model.yml"
2022-05-09 17:38:09 +02:00
WeekDaySelfLinkModel :
"$ref": "./components/schemas/week_day_self_link_model.yml"
2022-05-09 10:31:39 +02:00
WeekDayWriteModel :
"$ref": "./components/schemas/week_day_write_model.yml"
2021-06-29 08:54:05 +01:00
Wiki_PageModel :
"$ref": "./components/schemas/wiki_page_model.yml"
2024-08-26 13:53:02 +02:00
WorkPackageModel :
2021-06-29 08:54:05 +01:00
"$ref": "./components/schemas/work_package_model.yml"
2024-08-26 13:53:02 +02:00
WorkPackageFormModel :
"$ref": "./components/schemas/work_package_form_model.yml"
WorkPackagePatchModel :
"$ref": "./components/schemas/work_package_patch_model.yml"
WorkPackageSchemaModel :
"$ref": "./components/schemas/work_package_schema_model.yml"
WorkPackageWriteModel :
"$ref": "./components/schemas/work_package_write_model.yml"
2021-06-29 08:54:05 +01:00
Work_Package_activitiesModel :
"$ref": "./components/schemas/work_package_activities_model.yml"
Work_PackagesModel :
"$ref": "./components/schemas/work_packages_model.yml"
2025-11-24 10:06:51 +01:00
WorkspaceCollectionModel :
"$ref": "./components/schemas/workspace_collection_model.yml"
Workspaces_schemaModel :
"$ref": "./components/schemas/workspaces_schema_model.yml"
2021-06-29 08:54:05 +01:00
securitySchemes :
BasicAuth :
type : http
scheme : basic
tags :
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/basic_objects.yml"
- "$ref": "./tags/collections.yml"
- "$ref": "./tags/filters.yml"
2023-02-20 23:17:55 +01:00
- "$ref": "./tags/baseline_comparisons.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/forms.yml"
2022-02-25 17:06:35 +01:00
- "$ref": "./tags/signaling.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/actions_and_capabilities.yml"
- "$ref": "./tags/activities.yml"
- "$ref": "./tags/attachments.yml"
- "$ref": "./tags/budgets.yml"
- "$ref": "./tags/categories.yml"
- "$ref": "./tags/configuration.yml"
- "$ref": "./tags/custom_actions.yml"
2022-03-15 09:19:25 +01:00
- "$ref": "./tags/custom_options.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/documents.yml"
2022-03-25 11:20:50 +01:00
- "$ref": "./tags/file_links.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/grids.yml"
- "$ref": "./tags/groups.yml"
- "$ref": "./tags/help_texts.yml"
- "$ref": "./tags/memberships.yml"
- "$ref": "./tags/news.yml"
- "$ref": "./tags/notifications.yml"
2022-12-12 18:17:45 +01:00
- "$ref": "./tags/oauth.yml"
2025-11-24 10:06:51 +01:00
- "$ref": "./tags/portfolios.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/posts.yml"
- "$ref": "./tags/principals.yml"
- "$ref": "./tags/priorities.yml"
2025-11-24 10:06:51 +01:00
- "$ref": "./tags/programs.yml"
2025-04-29 17:11:54 +02:00
- "$ref": "./tags/project_phases.yml"
- "$ref": "./tags/project_phase_definitions.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/projects.yml"
- "$ref": "./tags/queries.yml"
- "$ref": "./tags/query_columns.yml"
- "$ref": "./tags/query_filters.yml"
- "$ref": "./tags/query_operators.yml"
- "$ref": "./tags/query_sort_bys.yml"
- "$ref": "./tags/query_filter_instance_schema.yml"
- "$ref": "./tags/relations.yml"
- "$ref": "./tags/previewing.yml"
- "$ref": "./tags/revisions.yml"
- "$ref": "./tags/roles.yml"
- "$ref": "./tags/root.yml"
- "$ref": "./tags/schemas.yml"
2026-02-20 16:04:47 +01:00
- "$ref": "./tags/sprints.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/statuses.yml"
- "$ref": "./tags/time_entries.yml"
- "$ref": "./tags/time_entry_activities.yml"
- "$ref": "./tags/types.yml"
- "$ref": "./tags/userpreferences.yml"
- "$ref": "./tags/users.yml"
2026-02-25 11:16:33 +01:00
- "$ref": "./tags/user_working_times.yml"
2022-10-20 18:32:06 +02:00
- "$ref": "./tags/values_property.yml"
2022-01-17 15:21:28 +01:00
- "$ref": "./tags/versions.yml"
- "$ref": "./tags/views.yml"
- "$ref": "./tags/wiki_pages.yml"
- "$ref": "./tags/work_packages.yml"
2022-05-13 10:50:39 +02:00
- "$ref": "./tags/work_schedule.yml"
2025-11-24 10:06:51 +01:00
- "$ref": "./tags/workspaces.yml"
2021-06-29 08:54:05 +01:00
security :
2024-11-04 10:13:41 +01:00
- BasicAuth : [ ]